Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Types | Public Member Functions | Data Fields
proofs::MAC< Logic, BitPlucker > Class Template Reference
Collaboration diagram for proofs::MAC< Logic, BitPlucker >:
[legend]

## Data Structures
class | Witness

## Public Types
using | Field = typename Logic::Field
using | Elt = typename Field::Elt
using | EltW = typename Logic::EltW
using | Nat = typename Field::N
using | v8 = typename Logic::v8
using | v128 = typename Logic::v128
using | v256 = typename Logic::v256
using | packed_v128 = typename BitPlucker::packed_v128
using | packed_v256 = typename BitPlucker::packed_v256

## Public Member Functions
| MAC (const Logic &lc)
void | verify_mac (EltW msg, const v128 mac[], const v128 &av, const Witness &vw, Nat order) const

## Data Fields
BitPlucker | bp_

The documentation for this class was generated from the following file:

- lib/circuits/mac/mac_circuit.h